######################
# Homework Lecture 4
######################

# Exercise 5.3.1

data(ChickWeight)

head(ChickWeight)

table(ChickWeight$Diet)
# 1   2   3   4 
#220 120 120 118 

table(ChickWeight$Chick)

#18 16 15 13  9 20 10  8 17 19  4  6 11  3  1 12  2  5 14  7 24 30 22 23 27 28 
#2  7  8 12 12 12 12 11 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 
#26 25 29 21 33 37 36 31 39 38 32 40 34 35 44 45 43 41 47 49 46 50 42 48 
#12 12 12 12 12 12 12 12 12 12 12 12 12 12 10 12 12 12 12 12 12 12 12 12 


# Exercise 5.4.1

data(sleep)
head(sleep)


tapply(X=sleep$extra, INDEX=sleep$group, FUN=mean)

#  1    2 
# 0.75 2.33 

# could also do this with aggregate()


data(women)
head(women)

apply(X=women, MARGIN=2, FUN=mean)

#  height   weight 
# 65.0000 136.7333 

lapply(X=women, FUN=mean)

# $height
#[1] 65

# $weight
# [1] 136.7333

# Homework Section 

# Problem 1
data5 <- read.csv("/home/billk/MI205/datasummary/data5.csv", as.is=T, header=T)
summary(data5)
data5$WT <- as.numeric(data5$WT)

meanCLCRDV<-aggregate(data5[,c("DV","CLCR")], by=list(data5$DAY), FUN=mean)

names(meanCLCRDV) <- c("DAY","MeanDV","meanCLCR")


# Problem 2

tapply(data5$WT, INDEX=data5$DAY, mean, na.rm=T)
 
#       1        2 
# 60.50628 70.43662 

# Problem 3
prob1<-read.table(file="MI205/datasummary/prob1.tab", skip=0, header=TRUE)

ID.ind <- !duplicated(prob1$ID)

is.logical(ID.ind)
# [1] TRUE

prob1.ind<-prob1[ID.ind,]

dim(prob1.ind)
# [1] 40 13

range(prob1.ind$CLCR)

# [1]  24.58 192.38

prob1.ind$grp <- 1

tapply(X=prob1.ind[,c("CLCR")], INDEX=prob1.ind$grp, FUN=range)
#   $`1`
#  [1]  24.58 192.38


# Problem 4
data(women)

head(women)

wtkg <- function(x){
                tmp <- round(x/2.2,1)
                return(tmp)
                }

# put result into wtkg1
wtkg1 <- lapply(women$weight, FUN=wtkg)

# add result to women dataframe as new column
women$kg <- unlist(lapply(women$weight, FUN=wtkg))


# another way to do this in R
women$kg2 <- sapply(women$weight, FUN=wtkg, simplify=TRUE)






