#1. For Theoph, show the ﬁrst few rows with the column order reversed. 
head(Theoph[,rev(names(Theoph))])

#2. For Theoph, change ‘conc’ to ’concentration’. 
names(Theoph)[names(Theoph)=='conc'] <- 'concentration'

#3. For Theoph, convert Wt to an integer.
Theoph$Wt <- as.integer(Theoph$Wt)
 
#4. For ToothGrowth, replace ‘VC’ and ‘OJ’ with ‘vitamin C’ and ‘orange juice’. 
levels(ToothGrowth$supp)# OJ VC
levels(ToothGrowth$supp) <- c('OJ','VC')

#5. For Indometh, convert mcg/mL to mg/mL in conc.
Indometh <- transform(Indometh,conc = conc / 1000)
 
#6. For CO2, what is the key? Plant, conc

#7. For ChickWeight, what is the key? Chick, Time

#8. For Indometh, what is the key? Subject, Time

#9. For Orange, what is the key? Tree, age

#10. For airquality, what is the key? Month, Day

#11. For beaver1, what is the key? day, time

#12. For trees, what is the key? row name

#13. Sort Animals on increasing body size. 
Animals[order(Animals$body),]

#14. For Indometh, impute all conc. values over 2 with the mean of the remaining values. 
Indometh$conc[Indometh$conc > 2] <- NA
Indometh$conc[is.na(Indometh$conc)] <- mean(Indometh$conc,na.rm=TRUE)

#15. For wtloss (package MASS), impute all Weight after 200 days with the last observation.
library(MIfuns)
wtloss$Weight[wtloss$Days > 200] <- NA
wtloss$Weight <- locf(wtloss$Weight)
 
#16. For prob1 (package MIfuns), calculate body mass index using bmi(). 
data(prob1)
prob1$bmi <- bmi(prob1$WT,2.54 * prob1$HT)

#17. For Puromycin, remove the ’state’ column and the second row. 
Puromycin$state <- NULL
Puromycin <- Puromycin[-2,]

#18. Merge ‘Population’ and ‘Area’ from state.x77 with USArrests. 
USArrests$State <- rownames(USArrests)
state.x77 <- as.data.frame(state.x77)
state.x77$State <- rownames(state.x77)
stableMerge(USArrests,state.x77[,c('State','Population','Area')])

#19. Merge Animals and mammals (both package MASS). 
rbind(Animals,mammals)

#20. Add population density data from road to state.x77. 
road$State <- rownames(road)
merge(state.x77,road[,c('State','popden')],all.x=TRUE)



#invented data from Listing 7.21.
pk <- data.frame(
	subject=rep(letters[1:3],each=3),
	time=rep(1:3,3),
	baseline=rep(70:72,each=3),
	weight=c(70,70.5,69,71,NA,70,72, 72,NA)
)
