sort.my <- function(x,index){
	if(is.matrix(x)) message('x is matrix')
	if(!(is.data.frame(x) | is.matrix(x)))stop('x must be a data.frame or matrix')
	if(length(index) < nrow(x))warning('index not as long as nrow(x)')
	if(is.character(index))if(length(index)==1)index <- x[[index]]
	for (col in names(x))if(inherits(x[[col]],'numeric'))x[[col]] <- signif(x[[col]],2)
	index <- as.factor(index)
	order <- order(index)
	x <- x[order,]
	invisible(x)
}

sort.my(as.matrix(Theoph),Theoph$Subject)
sort.my(Theoph,'Subject')
sort.my(Theoph[,'conc'])
class(Theoph) <- c('my','data.frame')
sort(Theoph,index='Subject')