names(Theoph)[names(Theoph)=='Conc'] <- 'conc'

colname(Theoph) <- c(conc='CONC')

Theoph$Subject <- map(Theoph$Subject,from=letters,to=LETTERS)

class(strptime('Thu 19 Mar 09 03:48',format='%a %d %b %y %H:%M'))

Theoph[4,]
Theoph$key <- rownames(Theoph)

sorted <- Theoph[order(Theoph$Subject, Theoph$Time),]

pk <- data.frame(
subject=rep(letters[1:3],each=3),
time=rep(1:3,3),
baseline=rep(70:72,each=3),
weight=c(70,70.5,69,71,NA,70,72, 72,NA)
)


pk$weight[is.na(pk$weight)] <- mean(pk$weight,na.rm=TRUE)
pk$weight[is.na(pk$weight)] <- pk$baseline[is.na(pk$weight)]
pk$weight <- locf(pk$weight)

as.numeric(substr("PROT1:001",start=7,stop=9))

Theoph$Amt <- Theoph$Wt * Theoph$Dose
Theoph$Amt <- with(Theoph, Wt * Dose)
Theoph <- within(Theoph, Amt <- Wt * Dose)
Theoph <- transform(Theoph, Amt = Wt * Dose)

Theoph$Cmax <- with(Theoph, reapply(conc,INDEX=Subject,FUN=max))

dose <- data.frame(
subject = rep(letters[1:3], each = 2),
time = rep(c(1,3),3),
amount = rep(c(40,60,80), each = 2)
)
pk <- data.frame(
subject = rep(letters[1:3], each = 4),
time = rep(1:4,3),
conc = signif(rnorm(12),2) + 2
)
demo <- data.frame(
subject = letters[1:4],
race = c('asian','white','black','other'),
sex = c('female','male','female','male'),
weight = c(75, 70, 73, 68)
)