###### Exercises ###################################
# exercise 11.3.1
#1
head(tage)
tage$SEX2 <- ifelse(tage$SEX==1,"M","F")


#2

tage$CRCL2 <- ifelse(tage$SEX=="M", 
                    crclx(tage$AGE, tage$WT, tage$SCR),
                    crclx(tage$AGE, tage$WT, tage$SCR) * 0.85
                    )                    
head(tage)



# Exercise 11.4.1
# 1
data5 <- read.csv(file="~/MI220W/advancedexercises/data5.csv", header=T)
head(data5)
unique(data5$AMT)

data5.s <- split(data5, data5$SEX)
str(data5.s)
res <- lapply(data5.s, function(df){
               df$AMT <- ifelse(df$SEX==0 & df$AMT>0 ,800,
                                ifelse(df$SEX==1 & df$AMT>0, 1000, df$AMT
                                       )
                                )
               return(df)
                 }
              )
res[1]
data5b <- do.call("rbind",res)
unique(data5b$AMT)

# 2
test1 <- read.csv(file="~/MI220W/advancedexercises/test1.csv", header=T)
head(test1)
res2 <- do.call("paste",c(test1,sep="_"))
res2


### Homework ######################################


# 1
set.seed(23145)

data(Indometh)

WT <- data.frame("Subject"=unique(Indometh$Subject),"WT"=runif(6,50,100))

Indometh <- merge(Indometh, WT, by="Subject", all.x=T)

Indometh$WTbin <- ifelse(Indometh$WT < median(Indometh$WT), 1, 2)

#2
rm(Indometh)
set.seed(23145)
data(Indometh)
Indo.ind <- split(Indometh, Indometh$Subject)
res <- lapply(Indo.ind, function(df){
               df$WT <- runif(1,50,100)
               return(df)
                 }
              )
Indometh <- do.call("rbind", res)
Indometh$WTbin <- ifelse(Indometh$WT < median(Indometh$WT),1, 2)
Indometh[!duplicated(Indometh$Subject),]

#3
library(lattice)
data(prob1)

# create xyplot arguments
mylist <- c(list(x=DV~TIME,data=prob1))
prob1.ind <- split(prob1, prob1$ID)

pdf()
do.call("xyplot", mylist)
dev.off()


pdf()
do.call("xyplot", 
           c(list(x=DV~TIME,
             data=do.call("rbind",prob1.ind))))
dev.off()


